/*
 * @Author: your name
 * @Date: 2021-12-20 10:26:41
 * @LastEditTime: 2022-01-05 15:41:53
 * @LastEditors: Please set LastEditors
 * @Description: 首页接口
 * @FilePath: \Foshan4A2.0\src\api\apiHome.js
 */
import request from '@/utils/request'

//接入系统信息
export function GetOthSystem (params) {
  return request({
    url: '/api/fs4a/GetOthSystem/v1',
    method: 'post',
    data: params
  })
}

//账号信息分析
export function GetUserAna (params) {
  return request({
    url: '/api/fs4a/GetUserAna/v1',
    method: 'post',
    data: params
  })
}

//职员信息分析
export function GetOfficerAna (params) {
  return request({
    url: '/api/fs4a/GetOfficerAna/v1',
    method: 'post',
    data: params
  })
}

//角色信息分析
export function GetRoleAna (params) {
  return request({
    url: '/api/fs4a/GetRoleAna/v1',
    method: 'post',
    data: params
  })
}

//权限信息分析
export function GetAuthAna (params) {
  return request({
    url: '/api/fs4a/GetAuthAna/v1',
    method: 'post',
    data: params
  })
}

//修改密码
export function EditPwd (params) {
  return request({
    url: '/api/fs4a/EditPwd/v1',
    method: 'post',
    data: params
  })
}

//锁屏验证
export function SsoLogin (params) {
  return request({
    url: '/api/fs4a/SsoLogin/v1',
    method: 'post',
    data: params
  })
}
